POST
/pages/restoreRestore a soft-deleted page
Restores a soft-deleted page from the trash. Supply pageId as the page's UUID or slug ID to identify the page to restore.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Page restoration request identifying the page to restore.
pageIdstringrequired
Page identifier (UUID or slug ID).
200Returns the restored page.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the request is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the page is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to restore the page, and a 404 when the page is not found. pageId is required and must identify the page to restore.